package com.alivc.testmediaplayer;

import android.app.Activity;
import android.os.Bundle;
import android.os.Handler;
import android.view.SurfaceView;
import com.alivc.player.AliVcMediaPlayer;


public class MutiPlayerActivity extends Activity {
    public static final String URL = "rtmp://live.hkstv.hk.lxdns.com/live/hks";

    private AliVcMediaPlayer mPlayerOne, mPlayerTwo, mPlayerThree;
    private SurfaceView mSurfaceViewOne, mSurfaceViewTwo, mSurfaceViewThree;

    private Handler mHandler;

    private boolean CancelMember = false;


    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_multi_player);
        mSurfaceViewOne = (SurfaceView) findViewById(R.id.PlayerOne);
        mSurfaceViewTwo = (SurfaceView) findViewById(R.id.PlayerTwo);
        mSurfaceViewThree = (SurfaceView) findViewById(R.id.PlayerThree);
        mSurfaceViewOne.setZOrderOnTop(true);
        mSurfaceViewTwo.setZOrderOnTop(true);
        mSurfaceViewThree.setZOrderOnTop(true);
    }

    @Override
    protected void onResume() {
        super.onResume();

        mHandler = new Handler();

        mHandler.postDelayed(new Runnable() {
            public void run() {
                if(!CancelMember) {
                    startPlayerOne();
                }
            }
        }, 1000);

        mHandler.postDelayed(new Runnable() {
            public void run() {
                if(!CancelMember) {
                    startPlayerTwo();
                }
            }
        }, 5000);

        mHandler.postDelayed(new Runnable() {
            public void run() {
                if(!CancelMember) {
                    startPlayerThree();
                }
            }
        }, 10000);
    }

    private void startPlayerOne() {
        mPlayerOne = new AliVcMediaPlayer(getApplicationContext(), mSurfaceViewOne);
        mPlayerOne.prepareAndPlay(URL);
    }

    private void startPlayerTwo() {
        mPlayerTwo = new AliVcMediaPlayer(getApplicationContext(), mSurfaceViewTwo);
        mPlayerTwo.prepareAndPlay(URL);
    }

    private void startPlayerThree() {
        mPlayerThree = new AliVcMediaPlayer(getApplicationContext(), mSurfaceViewThree);
        mPlayerThree.prepareAndPlay(URL);
    }

    @Override
    protected void onDestroy() {

        CancelMember = true;

        if(mPlayerOne != null) {
            mPlayerOne.stop();
            mPlayerOne.destroy();
            mPlayerOne = null;
        }
        if(mPlayerTwo != null) {
            mPlayerTwo.stop();
            mPlayerTwo.destroy();
            mPlayerTwo = null;
        }
        if(mPlayerThree != null) {
            mPlayerThree.stop();
            mPlayerThree.destroy();
            mPlayerThree = null;
        }

        super.onDestroy();
        return;
    }

}