package com.alivc.testmediaplayer;

import android.app.Application;
import com.alivc.player.AliVcMediaPlayer;

import java.io.*;

public class VideoApplication extends Application {

    @Override
    public void onCreate() {
        super.onCreate();

        // 检查/mnt/sdcard/TAOBAOPLAYER 是否存在,不存在创建
        File rootPath = new File("/mnt/sdcard/aliyun");
        if (!rootPath.exists()) {
            rootPath.mkdir();
        }

        // videolist.txt是否存在,不存在复制
        File videolistFile = new File(rootPath, "videolist.txt");
        if (!videolistFile.exists()) {
            try {
                copyAssetsToSD("videolist.txt", videolistFile.getAbsolutePath());
            } catch (IOException e) {
                e.printStackTrace();
            }
        }

        final String businessId = "";

        AliVcMediaPlayer.init(getApplicationContext(), businessId);
    }

    private void copyAssetsToSD(String assetsFile, String sdFile) throws IOException {
        InputStream myInput;
        OutputStream myOutput = new FileOutputStream(sdFile);
        myInput = this.getAssets().open(assetsFile);
        byte[] buffer = new byte[1024];
        int length = myInput.read(buffer);
        while (length > 0) {
            myOutput.write(buffer, 0, length);
            length = myInput.read(buffer);
        }

        myOutput.flush();
        myInput.close();
        myOutput.close();
    }
}
